import "choerodon-ui/pro/lib/data-set/style";
import _DataSet from "choerodon-ui/pro/lib/data-set";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { createContext, useMemo, useContext, useEffect } from 'react';
import { inject } from 'mobx-react';
import { observer } from 'mobx-react-lite';
import { injectIntl } from 'react-intl';
import ResourceCountDataSet from "./ResourceCountDataSet";
import { useResourceStore } from "../../../../stores";
import { useMainStore } from "../../../stores";
import GitopsLogDataSet from "../../environment/stores/GitopsLogDataSet";
import GitopsSyncDataSet from "../../environment/stores/GitopsSyncDataSet";
import RetryDataSet from "../../environment/stores/RetryDataSet";
var Store = /*#__PURE__*/createContext();
export function useREStore() {
  return useContext(Store);
}
export var StoreProvider = injectIntl(inject('AppState')(observer(function (props) {
  var projectId = props.AppState.currentMenuType.id,
      formatMessage = props.intl.formatMessage,
      children = props.children;

  var _useResourceStore = useResourceStore(),
      id = _useResourceStore.resourceStore.getSelectedMenu.id,
      intlPrefix = _useResourceStore.intlPrefix;

  var _useMainStore = useMainStore(),
      baseInfoDs = _useMainStore.baseInfoDs;

  var resourceCountDs = useMemo(function () {
    return new _DataSet(ResourceCountDataSet());
  }, []);
  var gitopsLogDs = useMemo(function () {
    return new _DataSet(GitopsLogDataSet({
      formatMessage: formatMessage,
      intlPrefix: intlPrefix
    }));
  }, []);
  var gitopsSyncDs = useMemo(function () {
    return new _DataSet(GitopsSyncDataSet());
  }, []);
  var retryDs = useMemo(function () {
    return new _DataSet(RetryDataSet());
  }, []);
  useEffect(function () {
    resourceCountDs.transport.read.url = "/devops/v1/projects/".concat(projectId, "/envs/").concat(id, "/resource_count");
    gitopsLogDs.transport.read.url = "/devops/v1/projects/".concat(projectId, "/envs/").concat(id, "/error_file/page_by_env");
    gitopsSyncDs.transport.read.url = "/devops/v1/projects/".concat(projectId, "/envs/").concat(id, "/status");
    retryDs.transport.read.url = "/devops/v1/projects/".concat(projectId, "/envs/").concat(id, "/retry");
    resourceCountDs.query();
    gitopsSyncDs.query();
    gitopsLogDs.query();
  }, [projectId, id]);

  var value = _objectSpread(_objectSpread({}, props), {}, {
    baseInfoDs: baseInfoDs,
    resourceCountDs: resourceCountDs,
    gitopsLogDs: gitopsLogDs,
    gitopsSyncDs: gitopsSyncDs,
    retryDs: retryDs
  });

  return /*#__PURE__*/React.createElement(Store.Provider, {
    value: value
  }, children);
})));